com.smartgwt.client.widgets.toolbar

## Class ToolStripGroup

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.smartgwt.client.widgets.BaseWidget
      - - com.smartgwt.client.widgets.Canvas
        - - com.smartgwt.client.widgets.layout.Layout
          - - com.smartgwt.client.widgets.layout.VLayout
            - - com.smartgwt.client.widgets.toolbar.ToolStripGroup

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsWidget, LogicalStructure, HasClickHandlers, HasDoubleClickHandlers, HasDragMoveHandlers, HasDragRepositionMoveHandlers, HasDragRepositionStartHandlers, HasDragRepositionStopHandlers, HasDragResizeMoveHandlers, HasDragResizeStartHandlers, HasDragResizeStopHandlers, HasDragStartHandlers, HasDragStopHandlers, HasDropHandlers, HasDropMoveHandlers, HasDropOutHandlers, HasDropOverHandlers, HasFocusChangedHandlers, HasHoverHandlers, HasHoverHiddenHandlers, HasKeyDownHandlers, HasKeyPressHandlers, HasMouseDownHandlers, HasMouseMoveHandlers, HasMouseOutHandlers, HasMouseOverHandlers, HasMouseStillDownHandlers, HasMouseUpHandlers, HasMouseWheelHandlers, HasMovedHandlers, HasParentMovedHandlers, HasResizedHandlers, HasRightMouseDownHandlers, HasScrolledHandlers, HasShowContextMenuHandlers, HasVisibilityChangedHandlers
  Direct Known Subclasses:
    RibbonGroup

      public class ToolStripGroup
      extends VLayout

  A widget that groups other controls for use in `tool-strips`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

      `config, configOnly, id, isElementSet, nativeObject, scClassName`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToolStripGroup()`
    `ToolStripGroup(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addControl(Canvas control)` Adds a control to this toolStripGroup, creating a new column if necessary, according to the control's rowSpan attribute and the group's `numRows` attribute.
    `void` | `addControl(Canvas control, java.lang.Integer index)` Adds a control to this toolStripGroup, creating a new column if necessary, according to the control's rowSpan attribute and the group's `numRows` attribute.
    `void` | `addControls(Canvas... controls)` Adds an array of controls to this group, creating new columns as necessary according to each control's rowSpan attribute and the group's numRows attribute.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, Canvas defaults)` Changes the defaults for Canvas AutoChildren named `autoChildName`.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, FormItem defaults)` Changes the defaults for FormItem AutoChildren named `autoChildName`.
    `protected com.google.gwt.core.client.JavaScriptObject` | `create()`
    `java.lang.Boolean` | `getAutoSizeToTitle()` By default, ToolStripGroups are assigned a minimum width that allows the entire title to be visible.
    `HLayout` | `getBody()` HLayout autoChild that manages multiple VLayouts containing controls.
    `java.lang.String` | `getBodyConstructor()` Smart GWT class for the body.
    `Canvas[]` | `getControls()` The array of controls to show in this group.
    `HLayout` | `getLabel()` Label autoChild that presents the title for this ToolStripGroup.
    `java.lang.String` | `getLabelConstructor()` Smart GWT class for the title label.
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `getLogicalStructure()`
    `int` | `getNumRows()` The number of rows of controls to display in each column.
    `static ToolStripGroup` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `int` | `getRowHeight()` The height of rows in each column.
    `java.lang.String` | `getStyleName()` CSS class applied to this ToolStripGroup.
    `Alignment` | `getTitleAlign()` Controls the horizontal alignment of the group-title in its label.
    `int` | `getTitleHeight()` The height of the `title label` in this group.
    `VerticalAlignment` | `getTitleOrientation()` Controls the horizontal alignment of the group-title in its label.
    `Label` | `getTitleProperties()` AutoChild properties for fine customization of the title label.
    `java.lang.String` | `getTitleStyle()` CSS class applied to this ToolStripGroup.
    `void` | `removeControl(Canvas control)` Removes a control from this toolStripGroup, destroying an existing column if this is the last widget in that column.
    `void` | `setAutoSizeToTitle(java.lang.Boolean autoSizeToTitle)` By default, ToolStripGroups are assigned a minimum width that allows the entire title to be visible.
    `void` | `setBodyConstructor(java.lang.String bodyConstructor)` Smart GWT class for the body.
    `void` | `setControlColumn(Canvas control)` Return the column widget that contains the passed control.
    `void` | `setControls(Canvas... controls)` The array of controls to show in this group.
    `static void` | `setDefaultProperties(ToolStripGroup toolStripGroupProperties)` Class level method to set the default properties of this class.
    `void` | `setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `void` | `setLabelConstructor(java.lang.String labelConstructor)` Smart GWT class for the title label.
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `setLogicalStructure(com.smartgwt.logicalstructure.widgets.toolbar.ToolStripGroupLogicalStructure s)`
    `void` | `setNumRows(int numRows)` The number of rows of controls to display in each column.
    `void` | `setRowHeight(int rowHeight)` The height of rows in each column.
    `void` | `setShowTitle(boolean showTitle)` This method forcibly shows or hides this group's title after initial draw.
    `void` | `setStyleName(java.lang.String styleName)` CSS class applied to this ToolStripGroup.
    `void` | `setTitle(java.lang.String title)` Sets the header-text for this group.
    `void` | `setTitleAlign(Alignment titleAlign)` Controls the horizontal alignment of the group-title in its label.
    `void` | `setTitleHeight(int titleHeight)` The height of the `title label` in this group.
    `void` | `setTitleOrientation(VerticalAlignment titleOrientation)` Controls the horizontal alignment of the group-title in its label.
    `void` | `setTitleStyle(java.lang.String titleStyle)` CSS class applied to this ToolStripGroup.

    - ### Methods inherited from class com.smartgwt.client.widgets.layout.VLayout

      `setDefaultProperties, setLogicalStructure`

    - ### Methods inherited from class com.smartgwt.client.widgets.layout.Layout

      `addMember, addMember, addMember, addMember, addMemberPostCreate, addMemberPostCreate, addMemberPreCreate, addMemberPreCreate, addMembers, addMembers, getAnimateMembers, getAnimateMemberTime, getCanDropComponents, getDefaultResizeBars, getDropComponent, getDropLine, getDropLineThickness, getDropPosition, getEnforcePolicy, getHPolicy, getLayoutBottomMargin, getLayoutLeftMargin, getLayoutMargin, getLayoutRightMargin, getLayoutTopMargin, getLeaveScrollbarGap, getLocateMembersBy, getLocateMembersType, getManagePercentBreadth, getMember, getMember, getMemberDefaultBreadth, getMemberNumber, getMemberNumber, getMemberOffset, getMemberOverlap, getMembers, getMembersMargin, getMinMemberSize, getOverflow, getPaddingAsLayoutMargin, getResizeBarClass, getResizeBarSize, getReverseOrder, getShowDragPlaceHolder, getShowDropLines, getStackZIndex, getVertical, getVPolicy, hasMember, hideDropLine, hideMember, hideMember, membersChanged, onInit_Layout, onInit, reflow, reflow, reflowNow, removeMember, removeMembers, reorderMember, reorderMembers, setAlign, setAlign, setAnimateMembers, setAnimateMemberTime, setCanDropComponents, setDefaultLayoutAlign, setDefaultLayoutAlign, setDefaultProperties, setDefaultResizeBars, setDropLineProperties, setDropLineThickness, setEnforcePolicy, setHPolicy, setLayoutBottomMargin, setLayoutLeftMargin, setLayoutMargin, setLayoutRightMargin, setLayoutTopMargin, setLeaveScrollbarGap, setLocateMembersBy, setLocateMembersType, setLogicalStructure, setManagePercentBreadth, setMemberOverlap, setMembers, setMembersMargin, setMinMemberSize, setOverflow, setPaddingAsLayoutMargin, setPlaceHolderDefaults, setPlaceHolderProperties, setResizeBarClass, setResizeBarSize, setReverseOrder, setShowDragPlaceHolder, setShowDropLines, setStackZIndex, setVertical, setVisibleMember, setVPolicy, showMember, showMember`

    - ### Methods inherited from class com.smartgwt.client.widgets.Canvas

      `addChild, addChild, addChild, addChild, addChild, addClickHandler, addDoubleClickHandler, addDragMoveHandler, addDragRepositionMoveHandler, addDragRepositionStartHandler, addDragRepositionStopHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addDropHandler, addDropMoveHandler, addDropOutHandler, addDropOverHandler, addFocusChangedHandler, addHoverHandler, addHoverHiddenHandler, addKeyDownHandler, addKeyPressHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseStillDownHandler, addMouseUpHandler, addMouseWheelHandler, addMovedHandler, addParentMovedHandler, addPeer, addPeer, addPeer, addPeer, addResizedHandler, addRightMouseDownHandler, addScrolledHandler, addShowContextMenuHandler, addStyleName, addVisibilityChangedHandler, adjustForContent, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateHide, animateHide, animateHide, animateMove, animateMove, animateMove, animateMove, animateRect, animateRect, animateRect, animateRect, animateResize, animateResize, animateResize, animateResize, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateShow, animateShow, animateShow, asSGWTComponent, blur, bringToFront, clear, clickMaskUp, clickMaskUp, contains, contains, containsEvent, containsFocus, containsPoint, containsPoint, deparent, depeer, disable, enable, focus, focusInNextTabElement, focusInPreviousTabElement, getAbsoluteLeft, getAbsoluteTop, getAccessKey, getAnimateAcceleration, getAnimateFadeTime, getAnimateHideAcceleration, getAnimateHideTime, getAnimateMoveAcceleration, getAnimateMoveTime, getAnimateRectAcceleration, getAnimateRectTime, getAnimateResizeAcceleration, getAnimateResizeTime, getAnimateScrollAcceleration, getAnimateScrollTime, getAnimateShowAcceleration, getAnimateShowEffect, getAnimateShowTime, getAnimateTime, getAppImgDir, getAriaRole, getAutoDraw, getAutoShowParent, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBottom, getById, getByJSObject, getByLocalId, getCanAcceptDrop, getCanDrag, getCanDragReposition, getCanDragResize, getCanDragScroll, getCanDrop, getCanDropBefore, getCanFocus, getCanHover, getCanSelectText, getCanvasAutoChild, getCanvasItem, getChildren, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getClassName, getContentElement, getContents, getContextMenu, getCursor, getDataPath, getDefaultHeight, getDefaultWidth, getDestroyed, getDestroying, getDisabled, getDisabledCursor, getDoubleClickDelay, getDragAppearance, getDragIntersectStyle, getDragOpacity, getDragRepositionAppearance, getDragRepositionCursor, getDragResizeAppearance, getDragScrollDelay, getDragStartDistance, getDragTarget, getDragType, getDropTypes, getDynamicContents, getEdgeBackgroundColor, getEdgeCenterBackgroundColor, getEdgeImage, getEdgeMarginSize, getEdgeOffset, getEdgeOpacity, getEdgeShowCenter, getEdgeSize, getEventEdge, getEventEdge, getExtraSpace, getFacetId, getFormItemAutoChild, getFullDataPath, getGroupBorderCSS, getGroupLabelBackgroundColor, getGroupLabelStyleName, getGroupTitle, getHeight, getHeightAsString, getHideUsingDisplayNone, getHoverAlign, getHoverAutoDestroy, getHoverComponent, getHoverDelay, getHoverHeight, getHoverHTML, getHoverMoveWithMouse, getHoverOpacity, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWrap, getHSnapOrigin, getHSnapOrigin, getHSnapPosition, getHSnapPosition, getHtmlPosition, getImage, getImgURL, getImgURL, getInnerContentHeight, getInnerContentWidth, getInnerHeight, getInnerWidth, getIsGroup, getKeepInParentRect, getLayoutAlign, getLeft, getLeftAsString, getLocateChildrenBy, getLocateChildrenType, getLocatePeersBy, getLocatePeersType, getMargin, getMasterElement, getMatchElement, getMaxHeight, getMaxWidth, getMenuConstructor, getMinHeight, getMinWidth, getMouseStillDownDelay, getMouseStillDownInitialDelay, getNextZIndex, getNoDoubleClicks, getOffsetHeight, getOffsetWidth, getOffsetX, getOffsetY, getOpacity, getOuterElement, getPadding, getPageBottom, getPageLeft, getPageRect, getPageRight, getPageTop, getParentElement, getPeers, getPercentBox, getPercentSource, getPosition, getPrefix, getPrintChildrenAbsolutelyPositioned, getPrintHTML, getPrintHTML, getPrompt, getRect, getRedrawOnResize, getResizeBarTarget, getResizeFrom, getRight, getScrollbarSize, getScrollBottom, getScrollHeight, getScrollLeft, getScrollRight, getScrollTop, getScrollWidth, getShadowDepth, getShadowImage, getShadowOffset, getShadowSoftness, getShouldPrint, getShowCustomScrollbars, getShowDragShadow, getShowEdges, getShowHover, getShowHoverComponents, getShowResizeBar, getShowShadow, getSkinImgDir, getSnapAxis, getSnapEdge, getSnapHDirection, getSnapHGap, getSnapOffsetLeft, getSnapOffsetTop, getSnapOnDrop, getSnapResizeToGrid, getSnapTo, getSnapToGrid, getSnapVDirection, getSnapVGap, getTabIndex, getTestInstance, getTitle, getTooltip, getTop, getTopAsString, getTopElement, getUseBackMask, getUseOpacityFilter, getValuesManager, getViewportHeight, getViewportWidth, getVisibility, getVisibleHeight, getVisibleWidth, getVSnapOrigin, getVSnapOrigin, getVSnapPosition, getVSnapPosition, getWidth, getWidthAsString, getZIndex, handleHover, hide, hideClickMask, hideClickMask, hideContextMenu, imgHTML, imgHTML, imgHTML, intersects, isDirty, isDisabled, isDrawn, isVisible, keyUp, layoutChildren, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, markForDestroy, markForRedraw, markForRedraw, moveAbove, moveBelow, moveBy, moveTo, onAttach, onDetach, parentResized, printComponents, redraw, redraw, removeChild, removeChild, removePeer, removePeer, resizeBy, resizeTo, resizeTo, scrollBy, scrollByPercent, scrollTo, scrollTo, scrollTo, scrollToBottom, scrollToLeft, scrollToPercent, scrollToRight, scrollToTop, sendToBack, setAccessKey, setAllowExternalFilters, setAnimateAcceleration, setAnimateFadeTime, setAnimateHideAcceleration, setAnimateHideTime, setAnimateMoveAcceleration, setAnimateMoveTime, setAnimateRectAcceleration, setAnimateRectTime, setAnimateResizeAcceleration, setAnimateResizeTime, setAnimateScrollAcceleration, setAnimateScrollTime, setAnimateShowAcceleration, setAnimateShowEffect, setAnimateShowTime, setAnimateTime, setAppImgDir, setAriaRole, setAriaState, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoDraw, setAutoHeight, setAutoShowParent, setAutoWidth, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBottom, setCanAcceptDrop, setCanDrag, setCanDragReposition, setCanDragResize, setCanDragScroll, setCanDrop, setCanDropBefore, setCanFocus, setCanHover, setCanSelectText, setCanvasItem, setChildren, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setContents, setContextMenu, setCursor, setDataPath, setDefaultHeight, setDefaultProperties, setDefaultWidth, setDisabled, setDisabledCursor, setDoubleClickDelay, setDragAppearance, setDragIntersectStyle, setDragOpacity, setDragRepositionAppearance, setDragRepositionCursor, setDragResizeAppearance, setDragScrollDelay, setDragStartDistance, setDragTarget, setDragType, setDropTypes, setDynamicContents, setEdgeBackgroundColor, setEdgeCenterBackgroundColor, setEdgeImage, setEdgeMarginSize, setEdgeOffset, setEdgeOpacity, setEdgeShowCenter, setEdgeSize, setExtraSpace, setFacetId, setGroupBorderCSS, setGroupLabelBackgroundColor, setGroupLabelStyleName, setGroupTitle, setHeight, setHeight, setHeight100, setHideUsingDisplayNone, setHoverAlign, setHoverAutoDestroy, setHoverDelay, setHoverHeight, setHoverMoveWithMouse, setHoverOpacity, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWrap, setHtmlPosition, setImage, setImage, setIsGroup, setKeepInParentRect, setKeepInParentRect, setKeepInParentRect, setLayoutAlign, setLayoutAlign, setLeft, setLeft, setLocateChildrenBy, setLocateChildrenType, setLocatePeersBy, setLocatePeersType, setLogicalStructure, setMargin, setMatchElement, setMaxHeight, setMaxWidth, setMenuConstructor, setMinHeight, setMinWidth, setMouseStillDownDelay, setMouseStillDownInitialDelay, setNeverUseFilters, setNoDoubleClicks, setOpacity, setPadding, setPageLeft, setPageTop, setParentElement, setPeers, setPercentBox, setPercentSource, setPosition, setPrefix, setPrintChildrenAbsolutelyPositioned, setPrompt, setRect, setRect, setRedrawOnResize, setResizeBarTarget, setResizeFrom, setResizeFrom, setRight, setScrollbarConstructor, setScrollbarSize, setShadowDepth, setShadowImage, setShadowOffset, setShadowSoftness, setShouldPrint, setShowCustomScrollbars, setShowDragShadow, setShowEdges, setShowHover, setShowHoverComponents, setShowResizeBar, setShowShadow, setSkinImgDir, setSmoothFade, setSnapAxis, setSnapEdge, setSnapHDirection, setSnapHGap, setSnapOffsetLeft, setSnapOffsetTop, setSnapOnDrop, setSnapResizeToGrid, setSnapTo, setSnapToGrid, setSnapVDirection, setSnapVGap, setTabIndex, setTooltip, setTop, setTop, setUseBackMask, setUseOpacityFilter, setValuesManager, setVisibility, setVisible, setWidth, setWidth, setWidth100, setZIndex, shouldDragScroll, show, showClickMask, showNextTo, showNextTo, showNextTo, showNextTo, showPrintPreview, showPrintPreview, showPrintPreview, showPrintPreview, showRecursively, updateHover, updateHover, updateShadow, visibleAtPoint, willAcceptDrop`

    - ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

      `addDrawHandler, destroy, doAddHandler, doInit, doOnRender, draw, equals, error, errorIfNotCreated, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDateArray, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getConfig, getDOM, getElement, getElement, getHandlerCount, getID, getInnerHTML, getJsObj, getOrCreateJsObj, getRef, getScClassName, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, onBind, onDestroy, onDraw, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setDragTracker, setElement, setHtmlElement, setID, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getStyleElement, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent, unsinkEvents`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### ToolStripGroup

          public ToolStripGroup()

    - #### ToolStripGroup

          public ToolStripGroup(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static ToolStripGroup getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### setJavaScriptObject

          public void setJavaScriptObject(com.google.gwt.core.client.JavaScriptObject jsObj)

      Overrides:
        `setJavaScriptObject` in class `VLayout`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                     Canvas defaults)

      Changes the defaults for Canvas AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties.
      See Also:
        `AutoChildUsage`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                     FormItem defaults)

      Changes the defaults for FormItem AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties.
      See Also:
        `AutoChildUsage`

    - #### create

          protected com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `VLayout`

    - #### setAutoSizeToTitle

          public void setAutoSizeToTitle(java.lang.Boolean autoSizeToTitle)
                                  throws java.lang.IllegalStateException

      By default, ToolStripGroups are assigned a minimum width that allows the entire title to be visible. To prevent this bahavior and have group-titles cut off when they're wider than the buttons they contain, set this attribute to false
      Parameters:
        `autoSizeToTitle` - autoSizeToTitle Default value is true
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getAutoSizeToTitle

          public java.lang.Boolean getAutoSizeToTitle()

      By default, ToolStripGroups are assigned a minimum width that allows the entire title to be visible. To prevent this bahavior and have group-titles cut off when they're wider than the buttons they contain, set this attribute to false
      Returns:
        Boolean

    - #### getBody

          public HLayout getBody()
                          throws java.lang.IllegalStateException

      HLayout autoChild that manages multiple VLayouts containing controls.

      For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

      Returns:
        HLayout
      Throws:
        `java.lang.IllegalStateException` - if this widget has not yet been rendered.

    - #### setBodyConstructor

          public void setBodyConstructor(java.lang.String bodyConstructor)
                                  throws java.lang.IllegalStateException

      Smart GWT class for the body.

      Note : This is an advanced setting

      Parameters:
        `bodyConstructor` - . See `String`. Default value is "HLayout"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getBodyConstructor

          public java.lang.String getBodyConstructor()

      Smart GWT class for the body.
      Returns:
        . See `String`

    - #### setControls

          public void setControls(Canvas... controls)

      The array of controls to show in this group.
      If this method is called after the component has been drawn/initialized: Clears the array of controls and then adds the passed array to this toolStripGroup, creating new columns as necessary according to each control's rowSpan attribute and the group's `numRows` attribute.
      Parameters:
        `controls` - an array of widgets to add to this group. Default value is null

    - #### getControls

          public Canvas[] getControls()

      The array of controls to show in this group.
      Returns:
        Canvas

    - #### getLabel

          public HLayout getLabel()
                           throws java.lang.IllegalStateException

      Label autoChild that presents the title for this ToolStripGroup. This can be customized via the standard AutoChild pattern.

      For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

      Returns:
        HLayout
      Throws:
        `java.lang.IllegalStateException` - if this widget has not yet been rendered.

    - #### setLabelConstructor

          public void setLabelConstructor(java.lang.String labelConstructor)
                                   throws java.lang.IllegalStateException

      Smart GWT class for the title label.

      Note : This is an advanced setting

      Parameters:
        `labelConstructor` - . See `String`. Default value is "Label"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getLabelConstructor

          public java.lang.String getLabelConstructor()

      Smart GWT class for the title label.
      Returns:
        . See `String`

    - #### setNumRows

          public void setNumRows(int numRows)

      The number of rows of controls to display in each column.
      Parameters:
        `numRows` - numRows Default value is 1

    - #### getNumRows

          public int getNumRows()

      The number of rows of controls to display in each column.
      Returns:
        int

    - #### setRowHeight

          public void setRowHeight(int rowHeight)

      The height of rows in each column.
      Parameters:
        `rowHeight` - rowHeight Default value is 26

    - #### getRowHeight

          public int getRowHeight()

      The height of rows in each column.
      Returns:
        int

    - #### setStyleName

          public void setStyleName(java.lang.String styleName)

      CSS class applied to this ToolStripGroup.
      Overrides:
        `setStyleName` in class `Canvas`
      Parameters:
        `styleName` - . See `CSSClassName`. Default value is "toolStripGroup"
      See Also:
        `Appearance overview and related methods`, CSS styles Example

    - #### getStyleName

          public java.lang.String getStyleName()

      CSS class applied to this ToolStripGroup.
      Overrides:
        `getStyleName` in class `Canvas`
      Returns:
        . See `CSSClassName`
      See Also:
        `Appearance overview and related methods`, CSS styles Example

    - #### setTitleAlign

          public void setTitleAlign(Alignment titleAlign)

      Controls the horizontal alignment of the group-title in its label. Setting this attribute overrides the default specified by `groupTitleAlign` on the containing `ToolStrip`.
      If this method is called after the component has been drawn/initialized: This method forcibly sets the text-alignment of this group's title after initial draw.
      Parameters:
        `titleAlign` - the new alignment for the text, left or right. Default value is "center"

    - #### getTitleAlign

          public Alignment getTitleAlign()

      Controls the horizontal alignment of the group-title in its label. Setting this attribute overrides the default specified by `groupTitleAlign` on the containing `ToolStrip`.
      Returns:
        Alignment

    - #### setTitleHeight

          public void setTitleHeight(int titleHeight)

      The height of the `title label` in this group.
      Parameters:
        `titleHeight` - titleHeight Default value is 18

    - #### getTitleHeight

          public int getTitleHeight()

      The height of the `title label` in this group.
      Returns:
        int

    - #### setTitleOrientation

          public void setTitleOrientation(VerticalAlignment titleOrientation)

      Controls the horizontal alignment of the group-title in its label. Setting this attribute overrides the default specified by `groupTitleOrientation` on the containing `ToolStrip`.
      If this method is called after the component has been drawn/initialized: This method forcibly sets the orientation of this group's title after initial draw.
      Parameters:
        `titleOrientation` - the new orientation for the title, either bottom or top. Default value is "top"

    - #### getTitleOrientation

          public VerticalAlignment getTitleOrientation()

      Controls the horizontal alignment of the group-title in its label. Setting this attribute overrides the default specified by `groupTitleOrientation` on the containing `ToolStrip`.
      Returns:
        VerticalAlignment

    - #### getTitleProperties

          public Label getTitleProperties()
                                   throws java.lang.IllegalStateException

      AutoChild properties for fine customization of the title label.

      For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

      Returns:
        Label
      Throws:
        `java.lang.IllegalStateException` - if this widget has not yet been rendered.

    - #### setTitleStyle

          public void setTitleStyle(java.lang.String titleStyle)

      CSS class applied to this ToolStripGroup.
      Parameters:
        `titleStyle` - . See `CSSClassName`. Default value is "toolStripGroupTitle"

    - #### getTitleStyle

          public java.lang.String getTitleStyle()

      CSS class applied to this ToolStripGroup.
      Returns:
        . See `CSSClassName`

    - #### addControl

          public void addControl(Canvas control)

      Adds a control to this toolStripGroup, creating a new column if necessary, according to the control's rowSpan attribute and the group's `numRows` attribute.
      Parameters:
        `control` - a widget to add to this group

    - #### addControl

          public void addControl(Canvas control,
                        java.lang.Integer index)

      Adds a control to this toolStripGroup, creating a new column if necessary, according to the control's rowSpan attribute and the group's `numRows` attribute.
      Parameters:
        `control` - a widget to add to this group
        `index` - optional insertion index for this control

    - #### addControls

          public void addControls(Canvas... controls)

      Adds an array of controls to this group, creating new columns as necessary according to each control's rowSpan attribute and the group's numRows attribute.
      Parameters:
        `controls` - an array of widgets to add to this group

    - #### removeControl

          public void removeControl(Canvas control)

      Removes a control from this toolStripGroup, destroying an existing column if this is the last widget in that column.
      Parameters:
        `control` - a widget to remove from this group

    - #### setControlColumn

          public void setControlColumn(Canvas control)

      Return the column widget that contains the passed control.
      Parameters:
        `control` - the control to find in this group

    - #### setShowTitle

          public void setShowTitle(boolean showTitle)

      This method forcibly shows or hides this group's title after initial draw.
      Parameters:
        `showTitle` - should be show the title be shown or hidden?

    - #### setTitle

          public void setTitle(java.lang.String title)

      Sets the header-text for this group.
      Overrides:
        `setTitle` in class `Canvas`
      Parameters:
        `title` - The new title for this group

    - #### setDefaultProperties

          public static void setDefaultProperties(ToolStripGroup toolStripGroupProperties)

      Class level method to set the default properties of this class. If set, then all subsequent instances of this class will automatically have the default properties that were set when this method was called. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

      Note: This method is intended for setting default attributes only and will effect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead.

      Parameters:
        `toolStripGroupProperties` - properties that should be used as new defaults when instances of this class are created

    - #### setLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject setLogicalStructure(com.smartgwt.logicalstructure.widgets.toolbar.ToolStripGroupLogicalStructure s)

    - #### getLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject getLogicalStructure()

      Specified by:
        `getLogicalStructure` in interface `LogicalStructure`
      Overrides:
        `getLogicalStructure` in class `VLayout`